%define class Digest
%define subclass HMAC
%define version 1.01
%define release 1

# Derived values
%define real_name %{class}-%{subclass}
%define name perl-%{real_name}

Summary: 	Perl module %{class}::%{subclass}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Perl
License:        See documentation
Source: 	http://www.cpan.org/modules/by-module/%{class}/%{real_name}-%{version}.tar.gz
Url: 		http://www.cpan.org/modules/by-module/%{class}
Packager:       Michael McLagan <michael.mclagan@linux.org>
BuildRequires:	perl >= 5.6.1 perl-Digest-MD5 perl-Digest-SHA1
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl >= 5.6.1 perl-Digest-MD5 perl-Digest-SHA1
Obsoletes:      Digest-MD5

%description
Perl module which implements the %{class}::%{subclass} class.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL
make OPTIMIZE="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
eval `%{__perl} '-V:installprivlib'`
eval `%{__perl} '-V:installsitearch'`
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Clean up some files we don't want/need
rm -rf `find $RPM_BUILD_ROOT -name "perllocal.pod"`
rm -rf `find $RPM_BUILD_ROOT -name ".packlist" -o -name "*.bs"`

# Remove all empty directories
for i in `find $RPM_BUILD_ROOT -type d | tac`; do
   if [ -d $i ]; then 
      rmdir --ign -p $i;
   fi
done

%clean
cd ..
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{real_name}-%{version}

%files
%defattr(-,root,root)
%doc Changes README
%{_prefix}

%changelog
* Fri Apr 19 2002 Michael McLagan <michael.mclagan@linux.org>
- Initial version 1.01

